# Create Line Chart

library(rgl)

data <- read.table(filename, header=T)

pdf(paste(paramname, ".pdf", sep=""))

# get the range for the x and y axis 
xrange <- range(data[, 1]) 
yrange <- range(data[, 2:ncol(data)]) 

# set up the plot 
plot(xrange, yrange, type="n", xlab="Parameter", ylab="Scores") 
colors <- rainbow(ncol(data)-1)

# add lines 
for (i in 2:ncol(data)) { 
  lines(data[, 1], data[, i], lwd=1.5, col=colors[i-1])
} 

# add a title and subtitle 
title(paste("Scores with Increasing", paramname))

# add a legend
legend(xrange[2] - 2.5, yrange[2] - 0.015, names(data[,2:ncol(data)]),
					 fill=colors, col=colors, cex=0.8, title="Types")

dev.off()